Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Session Class Reference

List of all members.

## Public Member Functions
| Session (&$DB)
| RegisterVariable ($VariableName, $Value=NULL)
| PassVariable ($VariableName, $Value=NULL)
| UnregisterVariable ($VariableName)
| IsRegistered ($VariableName)
| IsPassed ($VariableName)
| Get ($VariableName)
| GetFromAllSessions ($VariableName)
| SaveState ()
| DeleteExpiredSessions ()
## Public Attributes
| $DB
| $SessionId
| $SessionVariables
| $SaveVarFlags
| $TempVarFlags
| $SessionExpirationTime = 180

## Detailed Description

Definition at line 22 of file Axis--Session.php.

## Member Function Documentation

Session::DeleteExpiredSessions | ( |  | ) |

Definition at line 253 of file Axis--Session.php.

References $DB, and $SessionId.

Referenced by GetFromAllSessions(), and SaveState().

Here is the caller graph for this function:

Session::Get | ( | $ | VariableName | ) |

Definition at line 149 of file Axis--Session.php.

Session::GetFromAllSessions | ( | $ | VariableName | ) |

Definition at line 162 of file Axis--Session.php.

References $DB, and DeleteExpiredSessions().

Session::IsPassed | ( | $ | VariableName | ) |

Definition at line 142 of file Axis--Session.php.

Session::IsRegistered | ( | $ | VariableName | ) |

Definition at line 137 of file Axis--Session.php.

Session::PassVariable | ( | $ | VariableName,
|  | $ | Value = `NULL` |
| ) |  |  |

Definition at line 105 of file Axis--Session.php.

Session::RegisterVariable | ( | $ | VariableName,
|  | $ | Value = `NULL` |
| ) |  |  |

Definition at line 90 of file Axis--Session.php.

Session::SaveState | ( |  | ) |

Definition at line 204 of file Axis--Session.php.

References $DB, and DeleteExpiredSessions().

Session::Session | ( | &$ | DB | ) |

Definition at line 26 of file Axis--Session.php.

References $DB.

Session::UnregisterVariable | ( | $ | VariableName | ) |

Definition at line 127 of file Axis--Session.php.

## Member Data Documentation

Session::$DB

Definition at line 187 of file Axis--Session.php.

Referenced by DeleteExpiredSessions(), GetFromAllSessions(), SaveState(), and Session().

Session::$SaveVarFlags

Definition at line 196 of file Axis--Session.php.

Session::$SessionExpirationTime = 180

Definition at line 202 of file Axis--Session.php.

Session::$SessionId

Definition at line 190 of file Axis--Session.php.

Referenced by DeleteExpiredSessions().

Session::$SessionVariables

Definition at line 193 of file Axis--Session.php.

Session::$TempVarFlags

Definition at line 199 of file Axis--Session.php.

The documentation for this class was generated from the following file:

- Axis--Session.php